dimnames {snapCGH} | R Documentation

## Retrieve the Dimension Names of an RGList, MAList or SegList Object

### Description

Retrieve the dimension names of a microarray data object.

### Usage

    ## S3 method for class 'SegList':
    dimnames(segList)

### Arguments

`segList` | `SegList`

### Details

The dimensionnames of an microarray object are the same as those of the most important matrix component of that object.

A consequece is that `rownames` and `colnames` will work as expected.

### Value

Either `NULL` or a list of length 2. If a list, its components are either 'NULL' or a character vector the length of the appropriate dimension of `x`.

### Author(s)

Gordon Smyth, edited by Mike Smith

### See Also

`dimnames` in the base package.

[Package snapCGH version 1.2.0 Index]